Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.streaming.ai_tasks.list()
page = page.results[0]
print(page.task_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Streaming.AITasks.List(context.TODO(), streaming.AITaskListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/streaming/ai/tasks \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/ai/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/ai/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/ai/tasks")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/ai/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 127,
"next": "page=2",
"previous": null,
"results": [
{
"task_id": "aafe70c6-0000-0000-0000-327b65f7670f",
"task_data": {
"url": "https://demo-public.gvideo.io/videos/2675_MEvf8mREA5Sy0AKF/qid5774v1_h264_450_360.mp4",
"category": "sport",
"client_id": 2675,
"task_name": "content-moderation"
},
"progress": 100,
"status": "SUCCESS",
"processing_time": {
"started_at": "2026-06-26T16:26:29.25Z",
"completed_at": "2026-06-26T16:26:32.97Z",
"total_time_sec": 3.71
}
},
{
"task_id": "aafe70c6-0000-0000-0000-d3bcebebf37c",
"task_data": {
"url": "https://demo-public.gvideo.io/videos/2675_SYdKNfV8dYLVhEdC/qid5765v1_av1_225_360.mp4",
"client_id": 2675,
"task_name": "transcription"
},
"progress": 50,
"status": "STARTED",
"processing_time": {
"started_at": "2026-06-26T13:02:23.93Z",
"completed_at": null,
"total_time_sec": null
}
}
]
}AI
Get list of AI tasks
Returns a list of previously created and processed AI tasks.
The list contains brief information about the task and its execution status. Data is displayed page by page.
GET
/
streaming
/
ai
/
tasks
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.streaming.ai_tasks.list()
page = page.results[0]
print(page.task_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Streaming.AITasks.List(context.TODO(), streaming.AITaskListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/streaming/ai/tasks \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/ai/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/ai/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/ai/tasks")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/ai/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 127,
"next": "page=2",
"previous": null,
"results": [
{
"task_id": "aafe70c6-0000-0000-0000-327b65f7670f",
"task_data": {
"url": "https://demo-public.gvideo.io/videos/2675_MEvf8mREA5Sy0AKF/qid5774v1_h264_450_360.mp4",
"category": "sport",
"client_id": 2675,
"task_name": "content-moderation"
},
"progress": 100,
"status": "SUCCESS",
"processing_time": {
"started_at": "2026-06-26T16:26:29.25Z",
"completed_at": "2026-06-26T16:26:32.97Z",
"total_time_sec": 3.71
}
},
{
"task_id": "aafe70c6-0000-0000-0000-d3bcebebf37c",
"task_data": {
"url": "https://demo-public.gvideo.io/videos/2675_SYdKNfV8dYLVhEdC/qid5765v1_av1_225_360.mp4",
"client_id": 2675,
"task_name": "transcription"
},
"progress": 50,
"status": "STARTED",
"processing_time": {
"started_at": "2026-06-26T13:02:23.93Z",
"completed_at": null,
"total_time_sec": null
}
}
]
}Authorizations
Query Parameters
This is an field for combined text search in the following fields: task_id, task_name, status, and task_data.
Both full and partial searches are possible inside specified above fields. For example, you can filter tasks of a certain category, or tasks by a specific original file.
Example:
- To filter tasks of Content Moderation NSFW method:
GET /streaming/ai/tasks?search=nsfw - To filter tasks of processing video from a specific origin:
GET /streaming/ai/tasks?search=s3.eu-west-1.amazonaws.com
Was this page helpful?